Subject: Re: [git pull] Please pull mpe/linux.git powerpc-3.19-2 tag

From: Andreas Schwab <[email-masked]>
Date: Mon, 22 Dec 2014 15:33:16 +0100

Michael Ellerman <[email-masked]> writes:

> Anton Blanchard (1):
>       powerpc: Secondary CPUs must set cpu_callin_map after setting active and online

This breaks booting on the PowerMac7,3.  It takes forever to boot to
user space (~5 minutes instead of ~4 seconds), and then I see these
processes in top:

   37 root      20   0       0      0      0 D 0.000 0.000   0:00.00 kwindfarm
   10 root      rt   0       0      0      0 R 0.000 0.000   0:00.00 migration/1
   11 root      20   0       0      0      0 R 0.000 0.000   0:00.00 ksoftirqd/1

(The latter two processes don't accumulate any cpu time, but they are
constantly in run state.)

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."